curl --request PATCH \
--url https://api.kameleoon.com/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"amClientId": "<string>",
"amClientSecret": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"imageURL": "<string>",
"isPasswordExpired": true,
"isProductRecoAllowed": true,
"lastName": "<string>",
"passwordBlocked": true,
"preferredLocale": "fr",
"roles": [
{
"customers": [
123
],
"name": "ROLE_CUSTOMER_ADMIN",
"privileges": [
"GETONE_CUSTOM_DATA"
],
"sites": [
123
]
}
],
"solutions": [
"WEB_EXPERIMENTATION"
],
"status": "CREATED",
"teamId": 123
}Updates multiple fields of an account.
curl --request PATCH \
--url https://api.kameleoon.com/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"amClientId": "<string>",
"amClientSecret": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"imageURL": "<string>",
"isPasswordExpired": true,
"isProductRecoAllowed": true,
"lastName": "<string>",
"passwordBlocked": true,
"preferredLocale": "fr",
"roles": [
{
"customers": [
123
],
"name": "ROLE_CUSTOMER_ADMIN",
"privileges": [
"GETONE_CUSTOM_DATA"
],
"sites": [
123
]
}
],
"solutions": [
"WEB_EXPERIMENTATION"
],
"status": "CREATED",
"teamId": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The body is of type object.
OK
Client ID in AM
Client Secret in AM
Date when the account was created
Email associated with the given account
First name of the user of the given account
Unique identifier of the given account
Image URL of the user
Password regeneration required
Product recommendation allowed
Last name of the user of the given account
Checks if the user is blocked due to exceeding maximum password attempts
Used locale of the given account
fr, en, de User roles
Show child attributes
Solutions enabled for the user
Solutions enabled for the user
WEB_EXPERIMENTATION, FEATURE_EXPERIMENTATION CREATED, ACTIVATED, DEACTIVATED ID of the team to which the user belongs
Was this page helpful?